OLT Traffic Profile
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addTrafficProfile | POST | Create new traffic profile |
| deleteTrafficProfile | POST | Delete an existing traffic profile |
| editTrafficProfile | POST | Modify an existing traffic profile |
| getTrafficProfileList | GET | Get traffic profile list |
| getTrafficProfilePage | GET | Get traffic profile page |
addTrafficProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/add
Create new traffic profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema TrafficProfileDTO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Name of the traffic profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.). |
rateLimitStatus | string | yes | Whether to enable rate limit.RateLimitStatus should be a value as follows:DISABLE,ENABLE.ENABLE by default.When enabled, CIR must be configured, while CBS, PIR, and PBS parameters are optional.When disabled, the CIR, CBS, PIR, and PBS parameters are grayed out and cannot be configured. |
cirValue | integer | no | CirValue should be within the range of 128 to 10240000 |
cbsValue | integer | no | CbsValue should be within the range of 2000 to 10240000 |
pirValue | integer | no | PirValue should be within the range of 128 to 10240000 |
pbsValue | integer | no | PbsValue should be within the range of 2000 to 10240000 |
priority | string | yes | Priority type of the traffic profile.Priority should be a value as follows:ASSIGNED,USER_COS |
priorityValue | integer | yes | Priority value of the traffic profile.PriorityValue should be within the range of 0 to 7 |
innerPriority | string | yes | Inner priority type of the traffic profile,innerPriority should be a value as follows ASSIGNED, NONE, USER_COS, USER_INNER_COS |
innerPriorityValue | integer | no | Inner priority value of the traffic profile.InnerPriorityValue should be within the range of 0 to 7 |
priorityPolicy | string | yes | Traffic priority policy should be a value as follows:LOCAL_SETTING, TAG_IN_PACKAGE, TAG_IN_INGRESS_PACKAGE |
isInUse | boolean | no | Whether the Traffic Profile is in use; if it is in use, it cannot be deleted. |
trafficId | integer | yes | Traffic profile ID.TrafficId should be within the range of 1 to 512 |
// omada_call_operation
{
"operationId": "addTrafficProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new traffic profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteTrafficProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/delete
Delete an existing traffic profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema IntIdListRequest
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
// omada_call_operation
{
"operationId": "deleteTrafficProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing traffic profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editTrafficProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/edit
Modify an existing traffic profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema TrafficProfileModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Name of the traffic profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.). |
rateLimitStatus | string | yes | Whether to enable rate limit.RateLimitStatus should be a value as follows:DISABLE,ENABLE.ENABLE by default.When enabled, CIR must be configured, while CBS, PIR, and PBS parameters are optional.When disabled, the CIR, CBS, PIR, and PBS parameters are grayed out and cannot be configured. |
cirValue | integer | no | CirValue should be within the range of 128 to 10240000 |
cbsValue | integer | no | CbsValue should be within the range of 2000 to 10240000 |
pirValue | integer | no | PirValue should be within the range of 128 to 10240000 |
pbsValue | integer | no | PbsValue should be within the range of 2000 to 10240000 |
priority | string | yes | Priority type of the traffic profile.Priority should be a value as follows:ASSIGNED,USER_COS |
priorityValue | integer | yes | Priority value of the traffic profile.PriorityValue should be within the range of 0 to 7 |
innerPriority | string | yes | Inner priority type of the traffic profile,innerPriority should be a value as follows ASSIGNED, NONE, USER_COS, USER_INNER_COS |
innerPriorityValue | integer | no | Inner priority value of the traffic profile.InnerPriorityValue should be within the range of 0 to 7 |
priorityPolicy | string | yes | Traffic priority policy should be a value as follows:LOCAL_SETTING, TAG_IN_PACKAGE, TAG_IN_INGRESS_PACKAGE |
isInUse | boolean | no | Whether the Traffic Profile is in use; if it is in use, it cannot be deleted. |
trafficId | integer | yes | Traffic profile ID.TrafficId should be within the range of 1 to 512 |
// omada_call_operation
{
"operationId": "editTrafficProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing traffic profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getTrafficProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/list
Get traffic profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | TrafficProfileListQueryDTO | no | Object: its fields (searchKey, sorts, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getTrafficProfileList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get traffic profile list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getTrafficProfilePage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/page
Get traffic profile page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | TrafficProfilePageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getTrafficProfilePage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get traffic profile page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.